﻿a {
    text-decoration: none;
}


.iti__flag {
    background-image: url("build/img/flags.png");
}

@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) {
    .iti__flag {
        background-image: url("build/img/flags@2x.png");
    }
}







.accordion {
    background-color: #eee;
    color: #444;
    cursor: pointer;
    padding: 12px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 15px;
    transition: 0.4s;
    border-bottom: 1px solid #ccc;
}

    .accordion h4 {
        position: absolute;
        margin-top: -2px;
    }

    .active, .accordion:hover {
        background-color: #ccc;
    }

    .accordion:after {
        content: '\002B';
        color: #777;
        font-weight: bold;
        float: right;
        margin-left: 5px;
    }

/*.active:after {
    content: "\2212";
}*/

.panel {
    padding: 0;
    background-color: white;
    /*    max-height: 0;*/
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}

.w3-ul {
    position: absolute;
    background: #fff;
    /* border-bottom: 1px solid #ccc;
    border-left: 1px solid #ccc;
    border-right: 1px solid #ccc;
    box-shadow: 5px 5px 5px #ccc;*/
    box-shadow: none;
    z-index: 500;
}

    /*    .w3-ul li {
        padding: 0;
    }
*/
    .w3-ul li .w3-button {
        width: 100%;
        text-align: left;
    }

.loader {
    margin-right: 0;
    margin-left: auto;
    /*margin-top: -36px*/
}

.loader-active {
    border: 4px solid #f3f3f3;
    border-radius: 50%;
    border-top: 4px solid #aaa;
    width: 24px;
    height: 24px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 1s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}



label {
    font-style: italic;
    color: #aaa;
}

form > div {
    margin-top: 10px;
}

#start_order {
    margin-bottom: 30px;
}

.w3-button-hover {
    background-color: #ccc;
}


.leaflet-routing-container {
    display: none;
    padding: 10px;
    min-height: 180px;
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: 5px 5px 5px #ccc;
}

#select_point p {
    margin-top: 35px;
    text-align: center;
}

#select_point button {
    width: 50%;
}

#select_point .w3-bar {
    margin-bottom: 30px;
}

#select_point img {
    width: 50%;
}

.bold {
    font-weight: bold;
}

.larger {
    font-size: larger;
}

.red {
    color: red;
}

.smaller {
    font-size: smaller;
    font-weight: normal;
    font-style: normal;
}

#price_table {
    width: 100%;
}

    #price_table td:nth-child(1) {
        /* width: 180px;*/
        height: 32px;
    }

    #price_table td:nth-child(2), #price_table td:nth-child(3) {
        width: 90px;
        text-align: right;
    }


.border-bottom {
    border-bottom: solid #ccc 1px;
}

.border-bottom-bold {
    border-bottom: solid #ccc 3px;
}

#route_info_container {
    display: none;
}

.panel > .w3-ul {
    position: relative;
}

table.show-order {
    width: 100%;
    height: 100%;
    table-layout: fixed;
}

/*    table.show-order td {
        padding: 5px;
    }*/

.v-pointer {
    width: 10px;
}

.h-pointer {
    width: 32px;
    text-align: center;
}

#btn-order-loading {
    margin-right: auto;
    margin-left: auto;
}

/* Dropup Button */
.dropbtn {
    background-color: #3498DB;
    color: white;
    padding: 16px;
    font-size: 16px;
    border: none;
}

/* The container <div> - needed to position the dropup content */
.dropup {
    position: relative;
    display: inline-block;
}

/* Dropup content (Hidden by Default) */
.dropup-content {
    display: none;
    position: absolute;
    bottom: 40px;
    background-color: #fff;
    /*min-width: 100px;*/
    border-left: solid #ccc 1px;
    border-right: solid #ccc 1px;
    border-top: solid #ccc 1px;
    z-index: 500;
}

    /* Links inside the dropup */
    .dropup-content a {
        color: black;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
    }

/* Change color of dropup links on hover */
/*   .dropup-content a:hover {
            background-color: #ddd
        }*/

/* Show the dropup menu on hover */
.dropup:hover .dropup-content {
    display: block;
}

/* Change the background color of the dropup button when the dropup content is shown */
.dropup:hover .dropbtn {
    background-color: #2980B9;
}


/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 64px;
    height: 38px;
}

    /* Hide default HTML checkbox */
    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 5px;
        bottom: 6px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }



input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

    .slider.round:before {
        border-radius: 50%;
    }



.small {
    font-size: small;
}

#empty_list p {
    text-align: center;
    font-style: italic;
    color: #ccc;
    padding: 25px 0px;
}

/*.accordion+.panel{
    overflow-y:auto;
}*/

#list_from, #list_to {
    max-height: 300px;
    overflow-y: auto;
    z-index: 29000;
    /*  top: 9.1em;*/
    margin: auto 0.6em;
    width: -webkit-fill-available;
    position: relative;
    background: #fff;
    /*    box-shadow: none;*/
}

    #list_from a, #list_to a {
        text-decoration: none;
    }


.chat-left {
    margin-right: 30%;
    background: #fbfbfb;
    padding: 15px;
    border-radius: 10px;
    margin-bottom: 15px;
}

.chat-right {
    margin-left: 30%;
    background: #fbfbfb;
    padding: 15px;
    border-radius: 10px;
    margin-bottom: 15px;
}

.chat-time {
    height: 25px;
    opacity: 0.5;
}

.w3-modal-content h2 {
    color: #aaa;
}

#chat_form div.w3-container {
    max-height: 400px;
    overflow-y: auto;
}

.blink {
    animation: blinker 1s linear infinite;
}

@keyframes blinker {
    50% {
        opacity: 0.5;
    }
}

#chat_input {
    padding: 5px;
    outline: none;
}

#chat_send {
    margin-top: 15px;
    margin-bottom: 30px;
    float: right;
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #aaa;
    opacity: 0.8; /* Firefox */
}

.navbar-brand {
    height: initial;
    /*padding: 0 10px;*/
}

    .navbar-brand img {
        height: 60px;
    }

.navbar-toggle {
    margin-top: 12px;
}
/*#form_panel, #order_form, #controlid {
    height: 100%;
}*/
#form_panel {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
/*    #form_panel .slideshow-container {
        height: 70%;
    }*/
.slideshow-container .title {
    display: flex;
    justify-content: space-between;
    padding-top: 0.4em;
}

#auto_location {
    display: block;
    position: absolute;
    margin-top: 14rem;
    z-index: 9999;
    right: 0.6em;
    /* border-radius: 0.2em;*/
    background-color: #f9fafb;
    height: 2.5rem;
    width: 2.5rem;
    border: 0px solid rgba(0,0,0,0.2);
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 1px 10px 0px #7a7a7a;
}
#open-panel {
    display: block;
    position: absolute;
    margin-top: 14rem;
    z-index: 9999;
    left: 0.6em;
    /* border-radius: 0.2em;*/
    background-color: #f9fafb;
    height: 2.5rem;
    width: 2.5rem;
    border: 0px solid rgba(0,0,0,0.2);
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 1px 10px 0px #7a7a7a;
}

#route_info {
    display: block;
    position: absolute;
    margin-top: 0.7rem;
    z-index: 9999;
    right: 0.6em;
    /*border-radius: 0.2em;*/
    padding: 0.4em 0.65em;
    background-color: #f9fafb;
    height: 2.5rem;
    width: 2.5rem;
    border: 0px solid rgba(0,0,0,0.2);
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 1px 10px 0px #7a7a7a;
}

.slideshow-control {
    display: flex;
    justify-content: space-around;
    align-items: center;
    height:100%;
}

slideshow-control.solo {
    justify-content: center;
}

.slideshow-control button {
    /*   display: flex;
    border-radius: 0.5em;*/
    box-shadow: 0 1px 5px 0px #7a7a7a;
}
/*
    .slideshow-control > div {
        padding: 0.2em;
        border: 1px solid #fff;
        border-radius: 0.2em;
    }*/

.slideshow-control #prev-slide {
    font-size: 1.5em;
}

/*        .slideshow-control #prev-slide > span {
            font-weight: bold;
        }*/

/*    .slideshow-control #prev-slide {
        width: 20%;
    }

    .slideshow-control.proceed #prev-slide {
        width: 30%;
    }

    .slideshow-control.home #prev-slide {
        width: 30%;
        opacity: 0;
    }*/

.slideshow-control #options-slide {
    display: none;
}

.slideshow-control button > i {
    font-size: 1.5em;
    margin-left: 1em;
}

    .slideshow-control button > i.invers {
        font-size: 1.5em;
        margin-right: 1em;
        margin-left: initial;
    }

.slideshow-control.options #options-slide,
.slideshow-control.start #options-slide {
    /* width: 50%;*/
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.slideshow-control.options.solo #options-slide,
.slideshow-control.start.solo #options-slide {
    display: none !important;
}

.slideshow-control #next-slide {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 35px;
}



.slideshow-control.options #next-slide {
    width: 50%;
}

.slideshow-control.start #next-slide {
    display: none;
}

.slideshow-control #start-slide {
    display: none;
}



.slideshow-control.start #start-slide, .cancel-order-button {
    /*        width: 50%;*/
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 6px
}
/*   .slideshow-control.start.solo #start-slide {
        width: 100%;
    }*/

.disabled {
    opacity: 0.7;
}

.disabled-line {
    opacity: 0.7;
    border-bottom: 3px solid #5a5a5a !important;
}


.nav-link span, .nav-link-title span {
    margin-left: 1em;
    margin-top: -0.25em;
}

a.flex-display {
    display: flex;
}

    a.flex-display span {
        margin-top: 1.3em;
    }

/*.nav-link-title span {
    font-weight: bold;
}*/

.language-css {
    width: 1.0em;
}

.sidebar {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 15%;
    z-index: 19990;
}

.hide-sidebar {
    position: relative;
    display: none;
}

.sidebar hr {
    margin: 1em 2em;
}

.sidebar-left {
    position: absolute;
    z-index: 9999;
    background: #fff;
    top: 0;
    left: 0;
    height: 100vh;
    box-shadow: 1px 1px 10px 0px #ddd;
    transition: all 0.2s ease-out;
    width: 300px;
}

    .sidebar-left.collapsed {
        left: -100%;
    }

.btn-link.close {
    position: absolute;
    right: 0.3em;
    font-size: 1.2rem;
}

.btn-link:hover {
    color: initial;
}

input.form-control.close {
    padding-right: 2em;
}

.mySlides {
    padding-top: 0.5em;
}

.box-shadow-top {
    /* box-shadow: 0 -1px 10px 0px #7a7a7a;*/
    z-index: 999;
}

.box-shadow-bottom {
    box-shadow: 0 2px 0px -1px #7a7a7a;
    z-index: 999;
}

#from, #to {
    padding-left: 20px;
    padding-right: 35px;
    max-height: 52px;
}

#wrapper-info {
    overflow: auto;
    height: 100%;
    padding: 0.5em 1em;
}

    #wrapper-info > div {
        padding: 0.5em;
    }

        #wrapper-info > div input {
            scale: 1.5
        }

    #wrapper-info a {
        display: block;
        text-decoration: none;
        margin-bottom: 2px;
    }

        #wrapper-info a > input {
            margin-right: 25px;
        }

.box-shadow-bottom {
    overflow: auto;
}

.nav-link-title > i,
.nav-item > .nav-link > i {
    padding: 0.2em;
    border-radius: 0.2em;
    width: 2em;
    text-align: center
}

.w3-input {
    text-overflow: ellipsis;
}

.step-indicator {
    text-align: center;
    /*   margin-top: -0.7em;*/
}

.order-tab {
    padding: 0;
    /*height: 80%;*/
}

.order-current-info {
    text-align: right !important;
}

.offset-pin {
    left: calc(50% - 14px);
    top: calc(50% - 36px);
}
.offset-flag {
    left: calc(50% - 5px);
    top: calc(50% - 36px);
}
#icon-center-map {
    width: 50px;
    height: 50px;
    position: absolute;
    z-index: 999;
/*        left: calc(50% - 24px);
    top: calc(50% - 32px);*/
}

#loader-search-location {
    width: 64px;
    height: 64px;
    position: absolute;
    z-index: 999;
    left: calc(50% - 32px);
    top: calc(50% - 60px);
    font-size: 3.5em;
}

.hidden {
    display: none !important;
}

/*#wrapper_options {
    position: absolute;
    z-index: 9999;
    background-color: #fff;
    width: 80%;

    left: 0;
    box-shadow: 1px 1px 10px 0px #ddd;
    transition: all 0.2s ease-out;
    bottom: 10em;
}*/


/*    #wrapper_options.collapsed {
        left: -80% !important;
    }*/

#wrapper_options button {
    border-bottom: 1px solid #fff
}

.w3-show {
    animation: fade-in 1s;
}

@keyframes fade-in {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

#history_panel ul,
#delayed_panel ul {
    height: 100%;
}

    #history_panel ul li,
    #delayed_panel ul li {
        /*        border: 1px solid #ccc;
        border-radius: 0.5em;
        box-shadow: 1px 1px 5px 2px #ccc;*/
        margin-bottom: 1em;
    }

        #history_panel ul li .repeat-order,
        #history_panel ul li .review-order,
        .cancel-order, .chat-order {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

#history_panel .slideshow-control,
#delayed_panel .slideshow-control {
    font-size: smaller;
    margin: 10px auto;
}

    #history_panel .slideshow-control button,
    #history_panel .slideshow-control a,
    #delayed_panel .slideshow-control button {
        border-radius: 0.25em;
        box-shadow: 0 1px 5px 0px #7a7a7a;
    }

li.loading, div.loading {
    border: initial !important;
    border-radius: initial !important;
    box-shadow: initial !important;
    height: 100%;
    display: flex;
    justify-content: center;
    font-size: 3em;
    flex-direction: unset;
    align-items: center;
}

.h-100 {
    height: 100%;
}

#active-orders-list .w3-bar:not(.border-bottom) {
    padding: 0 1em;
}

.border-bottom {
    border-bottom: 1px solid #ccc;
}

.ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis
}

.alt-bg-color {
    background-color: #f7f7f7;
}

/*.w3-ul > .w3-bar{
    margin-bottom:15px;
}*/
.no-shadow {
    border: none !important;
    box-shadow: initial !important;
}

/*.order-result div {
    padding: 0px 5px;
    border-radius: 0.25em;
}

    .order-result div table {
        font-size: smaller;
    }*/

.w3-canceled, .w3-hover-w3-canceled:hover {
    color: #565656 !important;
    background-color: #fdd4d1 !important;
}

.w3-succeded, .w3-hover-succeded:hover {
    color: #626262 !important;
    background-color: #b5d9b7 !important;
}

#chat-contents {
    display: flex;
    flex-direction: column-reverse;
}

.driver-info-history {
    display: flex;
    padding: 5px 16px;
    justify-content: space-between;
    margin-left: -16px;
    margin-right: -16px;
}

.driver-info {
    display: flex;
    padding: 5px 16px;
    justify-content: space-between;
    margin-left: -16px;
    margin-right: -16px;
    position: absolute;
    bottom: 0;
    width: 100%;
}

.driver-info-message {
    padding: 5px 16px;
    margin-left: -16px;
    margin-right: -16px;
    font-size: smaller;
    font-style: italic;
    position: absolute;
    bottom: 0;
    width: 100%;
}
/*.show-order .driver-info {
    margin-right: -16px;
}*/
.order-info span {
    overflow: hidden;
    white-space: nowrap;
}

.driver-info > div {
    font-size: smaller;
    font-style: italic;
}

    .driver-info > div img {
        width: 53px;
        margin-right: 5px;
    }

.leaflet-control-attribution.leaflet-control {
    display: none;
}

/*.box-shadow-top .slideshow-control {
    color: #fff !important;
    background-color: #f9c53149 !important
}*/
.forgotten_items {
    margin-top: 10px;
}

.footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
}

.home-h {
    height: 15%;
}

.start-h {
    height: 40%;
}

p {
    margin-bottom: 0;
}

#pre-order p {
    font-size: medium;
}

#pre-order .alt-bg-color {
    margin: auto -16px;
    padding: 0px 16px;
}

.options-item {
    background-color: #fff;
    padding: 0.5em;
}

#wrapper_options {
    margin-bottom: 1em;
}

#wrapper-number-taxies button,
#wrapper-tips button {
    margin-right: 0.5em;
    margin-bottom: 0.5em;
}

.w3-modal footer {
    text-align: right;
    padding: 1em;
}

#route_info_container footer {
    text-align: left;
}

.checked {
    color: #f9c531 !important;
}

.mlr-fit {
    margin-left: -16px;
    margin-right: -16px;
}

    .mlr-fit .show-order td {
        padding: 10px 16px;
    }

.order-time {
    text-align: right;
}

.slideshow-container {
    padding: 0 16px;
}

#pre-order > div > div > p,
#wrapper_options_set {
    padding: 10px 0;
}

.order-tab {
    overflow-x: clip;
    overflow-y: auto;
}

.nav-item .language-css {
    margin-top: 1.25em;
    margin-left: -0.15em;
}

/*.slideshow-control button {
    border-top-right-radius: initial;
    border-bottom-left-radius: initial;
}*/

.shadow {
    filter: drop-shadow( 3px 3px 2px rgba(0, 0, 0, .7));
    /* Similar syntax to box-shadow */
}

#order-details, #discription {
    max-height: 80px;
}

#multi_player_backup_companies {
    position: relative;
}


#page-new-order svg {
    height: 42px;
    width: 42px;
}

.no-provider {
    padding: 1rem;
    color: red;
}

.adhs-container.adhs-android.adhs-chrome .adhs-android-chrome-bouncing-arrow-container img,
.adhs-container.adhs-ios.adhs-safari .adhs-ios-safari-bouncing-arrow-container img {
    animation: none !important;
}

.home, .start {
    background: linear-gradient( to top, white 0%, white 70%, transparent 100% )
}

.sidebar {
    background: linear-gradient( to bottom, white 0%, white 60%, transparent 100% )
}

.navbar-dark .navbar-brand:focus, .navbar-dark .navbar-brand:hover {
    color: #464646;
}

/*.leaflet-container {
    filter: grayscale(100%) brightness(0.9) contrast(1.2);
}

    .leaflet-container {
    filter: sepia(60%) hue-rotate(10deg) saturate(150%);
}
.leaflet-container {
    filter: brightness(0.6) contrast(1.3);
}
.leaflet-container {
    filter: hue-rotate(200deg) saturate(120%);
}
.leaflet-container {
    filter: sepia(20%) hue-rotate(10deg) saturate(100%);
}*/

.rout_selector {
    margin-top: 6rem;
    margin-left: 20px;
    margin-right: 20px;
    z-index: 29900;
}


.last-slide-controls:nth-child(1) {
    background-color: #fff;
    position: absolute;
    top: auto;
    left: 25px;
    right: 25px;
    bottom: 225px;
    z-index: 9998;
    border-radius: 10px
}

.first-slide-controls {
    background-color: #fff;
    position: absolute;
    left: 15px;
    right: 15px;
    top: 1rem;
    z-index: 9998;
    border-radius: 0 0 10px 10px;
}

.taxi-icon {
    width: 18px;
    height: 40px;
    background-image: url('/images/taxi-top-view.svg');
    background-size: cover;
    transition: transform 0.3s linear;
}

.nav-link-title > i, .nav-item > .nav-link > i {
    width: initial !important;
}

a:hover {
    color: #464646;
}


/*.w3-ul li {
    padding: 4px 0px;
   border-bottom: 1px solid #ddd; 
}*/

.icon-dest {
    position: absolute;
    margin-top: 5px;
}


element.style {
}

#from, #to {
    padding-left: 20px;
    padding-right: 35px;
    max-height: 52px;
    color: #464646
}

.w3-input {
    text-overflow: ellipsis;
}

.w3-medium {
    font-size: 15px !important;
}

.w3-input {
    padding: 0;
}

/*.w3-btn, .w3-button {
    padding: 8px 8px;
}*/

.edit-dest {
    position: absolute;
    right: 7px;
    padding: 8px
}

.anchor-disabled {
    pointer-events: none; /* прави го некликаем */
    cursor: default; /* маха ръчичката */
    text-decoration: none; /* маха underline */
    color: inherit; /* да изглежда като нормален текст */
}

    .anchor-disabled .edit-dest {
        display: none;
    }

#confirm_on_map {
    position: absolute;
    bottom: 5%;
    z-index: 29900;
    left: 20%;
    right: 20%;
    width: auto;
}

.w3-container.start-p {
    padding: 0.01em 0em;
}

.icon-dest-1 {
    position: absolute;
    top: 7px;
}

.w3-padding-v0 {
    padding: 0px 16px !important;
}

.active_orders {
    width: 100%;
    padding: 25px;
    padding-top: 35px;
}

#page-active-orders {
    display: none !important;
}

.show-car-type img {
    width: 100%;
}

.r-1 {
    display: flex;
    margin-top: 8px;
    width: 100%;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: flex-start;
}
/*.r-1 > div:nth-child(2) {

        display: flex;
        flex-direction: column;
        align-items: center;*/ /* центрира всички редове */
/*gap: 6px;*/ /* разстояние между редовете */
/*}*/
/*.r-2 , .r-3  {
        flex: 0 0 auto;*/ /* fit-content */
/*width: fit-content;
        white-space: nowrap;
    }*/
/*        #enRoute > div:nth-col(1) > div:nth-child(1) > div {
            display: flex;
            flex-direction: column;
        }

    #enRoute > div:nth-col(1) > div:nth-child(2) > div {
        display: flex;
        flex-direction: column;
        justify-content: space-around
    }*/

/*   #enRoute > div:nth-child(3) img {
        max-height: 80px;
        border-radius: 6px;
    }*/

#order-status-text {
    position: relative;
    text-align: center; /* Центрира текста */
    padding: 2px 0;
    border-radius: 8px;
}

    #order-status-text .status-icon {
        position: absolute;
        left: 5px; /* Иконата винаги е вляво */
        top: 50%;
        transform: translateY(-50%);
    }

    #order-status-text .status-time {
        position: absolute;
        right: 5px;
        top: 50%;
        transform: translateY(-50%);
    }

.status-time-value {
    width: 26px;
    height: 26px;
    border-radius: 50%;
    background-color: #fff;
    color: #444;
    align-items: center;
    font-weight: bold;
    display: inline-block;
    right: 36px;
    margin-bottom: 2px;
    padding-top: 3px;
}

.eta-pill {
    padding: 6px 14px;
    background-color: #FF9800; /* оранжев */
    color: white;
    border-radius: 20px;
    font-weight: 600;
    font-size: 14px;
    display: inline-block;
}

.eta-icon-pill {
    display: inline-flex;
    align-items: center;
    gap: 6px;
    padding: 6px 12px;
    color: white;
    border-radius: 18px;
    font-weight: 600;
    font-size: 14px;
}

    .eta-icon-pill i {
        font-size: 14px;
    }




.ripple {
    position: absolute;
    width: 80px;
    height: 80px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); /* центриране */
    /*  z-index: 999999;*/
}

    .ripple::after {
        content: "";
        position: absolute;
        inset: 0;
        border-radius: 50%;
        border: 3px solid rgba(0, 150, 255, 0.6);
        animation: rippleAnim 1.6s ease-out infinite;
    }

@keyframes rippleAnim {
    0% {
        transform: scale(0.6);
        opacity: 1;
    }

    100% {
        transform: scale(2.4);
        opacity: 0;
    }
}




#map-wrapper {
    position: relative;
}

#mapid {
    transition: filter 0.25s ease, opacity 0.25s ease;
}

/* Затъмнена карта */
#map-wrapper.darkened #mapid {
    filter: brightness(60%) blur(1px);
    opacity: 0.85;
}

/* Overlay за текст или ripple */
#map-dark-overlay {
    position: absolute;
    inset: 0;
    /* background: rgba(0,0,0,0.35);*/
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-weight: 600;
    font-size: 16px;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.25s ease;
}

#map-wrapper.darkened #map-dark-overlay {
    opacity: 1;
}

.left-btn {
    border-radius: 8px 0 0 8px !important; /* заоблени само левите краища */
}

.right-btn {
    border-radius: 0 8px 8px 0 !important; /* заоблени само десните краища */
}

.all-round-btn {
    border-radius: 8px !important;
}

.w3-flex-between {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.w3-flex-evenly {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
/*.w3-flex-center {
    display: flex;
    align-items: center;
}*/
.photo-avatar {
    width: 72px; /* или какъвто размер ти трябва */
    height: 72px; /* важно: да е равен на width */
    border-radius: 50%; /* прави я кръгла */
    object-fit: cover; /* запълва кръга без да се деформира */
}
/*#history_panel{
    padding:6em 0em;
}*/
.link-button {
    padding: 0;
    background-color: transparent;
    text-decoration: none;
    cursor: pointer;
    border: none;
    width: 100%;
}

.w3-btn, .w3-button {
    padding: 4px 8px;
}

#close-panel, .close-page {
    font-size: 16px;
    background-color: #f9fafb;
    height: 2.5rem;
    width: 2.5rem;
    border: 0px solid rgba(0, 0, 0, 0.2);
    align-items: center;
    justify-content: center;
    box-shadow: 0 1px 10px 0px #7a7a7a;
}

.panel-bottom {
    position: absolute;
    bottom: 3em;
    left: 0;
    width: 100%;
}


.single-line-ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.adaptive {
    font-size: clamp(14px, 3.7vw, 17px);
    line-height: 1.25;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    overflow-wrap: anywhere;
}

.car-type-badge {
    position: absolute;
    top: -10px;
    right: -10px;
    z-index: 1;
    min-width: auto;
    padding: 3px 6px;
    color: white;
    background-color: #00aaa5;
    line-height: 1.2;
    z-index: 9999;
}

.dop-uk {
    min-height: 3em;
    position: absolute;
    z-index: 9999;
    top: -3em;
    right: 15px;
    left: 15px;
    background: #fff;
    border-radius: 8px;
    padding: 4px;
}
